OMV migrated to V7 but plugins are still in V6

  • Hi !

    I finally decided to migrate to V7 last week.

    During the migration (using omv-release-upgrade), i encountered an issue that was related to some wireguard package (wireguard-dkms exactly) and a new kernel was installed but i couldn't boot on it.
    So i used a previous kernel and could recover, fix the issue with wireguard and continue the system update.

    In a nutshell, I'm running OMV in version 7.2.1-1 with all packages updated but my big issue now is that all my OMV plugins seem to be locked still on V6.
    I can uninstall them from the web GUI but after the successful uninstall, page is refreshed and it's still appeared as Installed.


    Another weird thing is that on web GUI, it says that i've the plugin Diskstats installed in 6.0.5-1

    But when using the command dpkg -l | grep openmediavault , i'm seeing that same plugin is installed in v.7.0.2.


    Also as a consequence, i've lost access to managing my RAID disks since i've understood that a new plugin is necessary.

    I did re-install omv-extra via the CLI command wget -O - https://github.com/OpenMediaVault-Plugin-Developers/packages/raw/master/install | bash

    But it changes nothing.

    What needs to be fixed ?

    I've attached my OMV system report

    • Official Post

    Search for the fix6to7upgrade script

    omv 7.4.0-1 sandworm | 64 bit | 6.8 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.14 | compose 7.2.1 | k8s 7.2.0-1 | cputemp 7.0.2 | mergerfs 7.0.5 | scripts 7.0.8


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • Thanks for your quick feedback.
    I just ran sudo wget -O - https://github.com/OpenMediaVault-Plugin-Developers/installScript/raw/master/fix6to7upgrade | sudo bash but it gives the same result.
    I've attached the console logs but i don't see any direct error there.

    I don't know if this is related or not but, after the script removes any old packages and get new ones, i see that the script downloads

    https://openmediavault.github.io/packages sandworm InRelease, http://packages.openmediavault.org/public sandworm InRelease and https://openmediavault-plugin-developers.github.io/packages/debian


    Shouldn't these 2 packages refer to bookworm ?

    • Official Post

    But when using the command dpkg -l | grep openmediavault

    You have two old plugins that you should remove, openmediavault-docker-gui and openmediavault-openvpn

    Shouldn't these 2 packages refer to bookworm ?

    Sandworm is version 7 of OMV, that's correct.

  • Hi,

    I did remove the 2 plugins you mentioned and tried again the fix6to7upgrade script but my list of plugins in the webgui is still refering to V6

    • Official Post

    Run:

    sudo rm -f /usr/sbin/omv-mkaptidx


    then run the fix6to7upgrade script again.

    omv 7.4.0-1 sandworm | 64 bit | 6.8 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.14 | compose 7.2.1 | k8s 7.2.0-1 | cputemp 7.0.2 | mergerfs 7.0.5 | scripts 7.0.8


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • matfouc

    Added the Label resolved

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!